### Method

# Gimp Gradient segment_range_flip

since: 2.2

#### Declaration [src]

    gboolean
    gimp_gradient_segment_range_flip (
      GimpGradient* gradient,
      gint start_segment,
      gint end_segment
    )

#### Description [src]

Flip the segment range

Reverses the order of segments in a range, and swaps the left and right colors in each segment. As if the range as a 1D line were rotated in a plane. Returns an error when a segment index is out of range, or gradient is not editable.

Available since: 2.2

#### Parameters

`start_segment`

  Type: `gint`

  Index of the first segment to operate on.

`end_segment`

  Type: `gint`

  Index of the last segment to operate on. If negative, the range will extend to the end segment.

#### Return value

Type: `gboolean`

TRUE on success.